Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2114532 - gnome-terminal: FTBFS in Fedora rawhide/f37
Summary: gnome-terminal: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-02 19:39 UTC by Fedora Release Engineering
Modified: 2023-02-28 14:26 UTC (History)
7 users (show)

Fixed In Version: vte291-0.71.92-1.fc38 vte291-0.71.92-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-28 14:26:46 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-02 19:39 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-02 19:39 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-02 19:39 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-02 19:39:31 UTC
gnome-terminal failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89782906


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix gnome-terminal at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
gnome-terminal will be orphaned. Before branching of Fedora 38,
gnome-terminal will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-02 19:39:34 UTC
Created attachment 1903008 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-08-02 19:39:36 UTC
Created attachment 1903009 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-02 19:39:37 UTC
Created attachment 1903010 [details]
state.log

Comment 4 Christian Persch 2022-08-03 08:47:47 UTC
This is due to an API and ABI break in nautilus, see https://gitlab.gnome.org/GNOME/nautilus/-/issues/2135 .

Comment 5 Ben Cotton 2022-08-09 13:35:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.


Note You need to log in before you can comment on or make changes to this bug.